using System;
using System.Threading;
using System.Threading.Tasks;

namespace Threadeinführung_03
{
    class Program
    {
        static void doSomething(int n)
        {
            Thread.SpinWait(n * 10000000);
            Console.WriteLine(" Aufruf für " + n + " beendet.");
        }

        static void Main(string[] args)
        {
            Console.WriteLine("Programm gestartet");

            Parallel.For(0, 20, doSomething);

            // Simulation einer weiteren Aufgabe im Hauptthread
            Console.WriteLine(" Hauptthread erledigt weitere Aufgaben");
            Thread.SpinWait(10000 * 100000);

            Console.WriteLine("Zum Beenden Eingabetaste druecken");
            Console.ReadLine();
        }
    }
}
